// back

Ipswitch IMail IMAP STATUS Remote Buffer Overflow Vulnerability

05.24.05

BACKGROUND

Ipswitch Collaboration Suite (ICS) is a comprehensive communication and
collaboration solution for Microsoft Windows with a customer base of
over 53 million users. More information is available on the vendor's
website:

     http://www.ipswitch.com/products/IMail_Server/index.html

DESCRIPTION

Remote exploitation of a buffer overflow vulnerability in Ipswitch
Inc.'s Imail IMAP server allows attackers to execute arbitrary code with
System privileges.

The vulnerability specifically exists in the handling of a long mailbox
name to the STATUS command. A long mailbox name argument will cause a
stack based buffer overflow, providing the attacker with full control
over the saved return address on the stack. Once this has been achieved,
execution of arbitrary code becomes trivial. As this vulnerability is in
the STATUS command, which requires that a session is authenticated,
valid credentials are required.

ANALYSIS

Successful exploitation allows remote attackers to execute arbitrary
code with System privileges. Valid credentials are required for
exploitation, which lessens the impact of this vulnerability.

DETECTION

iDEFENSE has confirmed the existence of this vulnerability in Ipswitch
IMail version 8.13. It is suspected that earlier versions are also
vulnerable.

WORKAROUND

As this vulnerability is exploited after authentication occurs, ensuring
that only trusted users have accounts can mitigate the risk somwhat. As
a more effective workaround, consider limiting access to the IMAP server
by filtering TCP port 143. If possible, consider disabling IMAP and
forcing users to use POP3.

VENDOR RESPONSE

The vendor has released the following hotfix to fix this vulnerability
in IMail Server 8.15:

   ftp://ftp.ipswitch.com/Ipswitch/Product_Support/IMail/imail82hf2.exe

The vendor has released the following hotfix to fix this vulnerability
in IMail Server 8.2:

   ftp://ftp.ipswitch.com/Ipswitch/Product_Support/IMail/imail82hf2.exe
  
The vendor has released the following hotfix to fix this vulnerability
in Ipswitch Collaboration Suite 2.0:

   http://ftp.ipswitch.com/ipswitch/Product_Support/ICS/ICS2hf2.exe

The associated vendor advisories are available at:

http://www.ipswitch.com/Support/imail/releases/imail_professional/im815hf2.html
http://www.ipswitch.com/support/imail/releases/imail_professional/im82hf2.html
http://www.ipswitch.com/Support/ICS/updates/ics2hf2.html

CVE INFORMATION

The Common Vulnerabilities and Exposures (CVE) project has assigned the
name CAN-2005-1256 to this issue. This is a candidate for inclusion in
the CVE list (http://cve.mitre.org), which standardizes names for
security problems.

DISCLOSURE TIMELINE

04/25/2005   Initial vendor notification
05/10/2005   Initial vendor response
05/24/2005   Public disclosure

CREDIT

iDEFENSE Labs is credited with this discovery.

Get paid for vulnerability research
http://www.idefense.com/poi/teams/vcp.jsp

Free tools, research and upcoming events
http://labs.idefense.com

LEGAL NOTICES

Copyright © 2005 Verisign, Inc.

Permission is granted for the redistribution of this alert
electronically. It may not be edited in any way without the express
written consent of iDEFENSE. If you wish to reprint the whole or any
part of this alert in any other medium other than electronically, please
email customerservice@idefense.com for permission.

Disclaimer: The information in the advisory is believed to be accurate
at the time of publishing based on currently available information. Use
of the information constitutes acceptance for use in an AS IS condition.
There are no warranties with regard to this information. Neither the
author nor the publisher accepts any liability for any direct, indirect,
or consequential loss or damage arising from use of, or reliance on,
this information.